[PATCH] test_ssl_session: wait for callbacks to run in server thread

09/19/2011 04:35 PM - normalperson (Eric Wong)

Status: Closed   

Priority: Normal   

Assignee: MartinBosslet (Martin Bosslet)   

Target version: 1.9.3   

ruby -v: ruby 1.9.3dev (2011-09-17 revision

33263) [x86_64-linux]

Backport:  

Description

test/openssl/test_ssl_session.rb: wait for callbacks to run in server thread

Closing the SSL connection on the client side does not ensure the

server side has closed and called all the needed callbacks in

the server thread.  Using Thread.pass here should force the

server thread to run and call the needed callbacks.

I needed to reproduce the case like this after a few loops:

while ./ruby -I .ext/x86_64-linux/ \

 test/openssl/test_ssl_session.rb -v \

 -n test_ctx_server_session_cb

do

 :

done

 The above loop appears to run indefinitely with this patch

applied.

Associated revisions

Revision e3af0655 - 09/23/2011 03:14 AM - MartinBosslet (Martin Bosslet)

test/openssl/test_ssl_session.rb: ensure server calls callbacks in

test_ctx_server_session_cb. Thanks to Eric Wong for the patch.

[Bug #5336] [ruby-core:39619]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@33311 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision b3e0a543 - 09/23/2011 03:22 AM - MartinBosslet (Martin Bosslet)

backport r33311 from trunk.

test/openssl/test_ssl_session.rb: ensure server calls callbacks in

test_ctx_server_session_cb. Thanks to Eric Wong for the patch.

[Bug #5336] [ruby-core:39619]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/branches/ruby_1_9_3@33313 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

History

#1 - 09/23/2011 12:14 PM - Anonymous

- Status changed from Open to Closed

- % Done changed from 0 to 100

This issue was solved with changeset r33311.

Eric, thank you for reporting this issue.

Your contribution to Ruby is greatly appreciated.

May Ruby be with you.
test/openssl/test_ssl_session.rb: ensure server calls callbacks in

test_ctx_server_session_cb. Thanks to Eric Wong for the patch.

[Bug #5336] [ruby-core:39619]

#2 - 09/23/2011 12:24 PM - MartinBosslet (Martin Bosslet)

- Target version changed from 2.0.0 to 1.9.3

When looping I encountered the same behaviour as Eric.

With his patch the problem is now gone.

Files

0001-test-openssl-test_ssl_session.rb-wait-for-callbacks-.patch 1.25 KB 09/19/2011 normalperson (Eric Wong)
